## libblkio 1.5.0

=== meson_options.txt ===
option('subproject-docs', type : 'feature', value : 'auto', description : 'Build docs when libblkio is used as a subproject')
option('subproject-examples', type : 'feature', value : 'auto', description : 'Build examples when libblkio is used as a subproject')
option('subproject-tests', type : 'feature', value : 'auto', description : 'Build tests when libblkio is used as a subproject')
