=== debian/changelog ===
libblkio (1.5.0-5) unstable; urgency=medium

  * d/libblkio1.symbols: add more (optional) symbols, simplify patterns
    (Closes: #1118299)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 18 Oct 2025 09:07:16 +0300

libblkio (1.5.0-4) unstable; urgency=medium

  * make dpkg-gensymbols fail on symbols change,
    and list two internal symbols now exported by rustc
  * switch to rustix 1.x (Closes: #1110380)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 15 Oct 2025 10:04:43 +0300

libblkio (1.5.0-3) unstable; urgency=medium

  * switch to io-uring 0.7 (Closes: #1112119)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 26 Aug 2025 21:57:17 +0300

libblkio (1.5.0-2) unstable; urgency=medium

  * d/libblkio1.symbols: remove ARGV_INIT_ARRAY reference
    (not exported anymore by recent rust?)
    Closes: #1074719

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 02 Jul 2024 21:28:33 +0300

libblkio (1.5.0-1) unstable; urgency=medium

  * d/watch: adjust for current gitlab
  * new upstream release (packaging fixes)
  * remove patches which are applied upstream
  * d/libblkio1.symbols: work around rust exporting
    _ZN3std3sys4unix4args3imp15ARGV_INIT_ARRAY*@Base

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 12 May 2024 10:42:29 +0300

libblkio (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1030361)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 08 May 2024 00:18:12 +0300
