=== debian/control ===
Source: libblkio
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
# rust-vmm crates are 64bit-only according to upstream
 architecture-is-64-bit,
 cargo:native,
 rustc:native,
 meson, ninja-build,
 python3-docutils,
 libstd-rust-dev,
 librust-cc-1-dev,
# Cargo.toml:
 librust-libc-0.2-dev,
# blkio/Cargo.toml:
 librust-bitflags-1-dev (>> 1.2),
 librust-paste-1-dev,
 librust-io-uring-0.7-dev,
 librust-lazy-static-1-dev (>= 1.1-~),
 librust-libc-0.2-dev,
 librust-pci-driver-0.1-dev (>= 0.1.2-~),
 librust-rustix-1-dev,
# virtio-driver/Cargo.toml:
 librust-bitflags-1-dev (>> 1.2),
 librust-libc-0.2-dev,
 librust-rustix-1-dev,
 librust-memmap2-0.9-dev,
 librust-pci-driver-0.1-dev (>= 0.1.2-~),
 librust-virtio-bindings-0.2-dev,
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/qemu-team/libblkio.git
Vcs-Browser: https://salsa.debian.org/qemu-team/libblkio/tree/master
Homepage: https://libblkio.gitlab.io/libblkio
Rules-Requires-Root: no

Package: libblkio1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Block device I/O library (runtime files)
 libblkio is a library for high-performance block device I/O with support
 for multi-queue devices. A C API is provided so that applications can use
 the library from most programming languages.
 .
 This package provides the shared library for libblkio.

Package: libblkio-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libblkio1 (=${binary:Version}), ${misc:Depends}
Description: Block device I/O library (development files)
 libblkio is a library for high-performance block device I/O with support
 for multi-queue devices. A C API is provided so that applications can use
 the library from most programming languages.
 .
 This package provides the development files for libblkio.
