=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.com/libblkio/libblkio/tags?sort=updated_desc -/archive/v?\d[\d.]+/libblkio-@ANY_VERSION@@ARCHIVE_EXT@
